(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.shape25 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_13
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgBAgIgEgEIgCgKIAAgbIgGAAIAAgGIAGAAIAAgNIAJgFIAAASIAKAAIAAAGIgKAAIAAAcIABAFIACABIADAAIAEAAIACAHIgHACg");
	this.shape.setTransform(65.175,0.075);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_12
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#000000").s().p("AAOAZIAAgcIgBgJIgEgDIgHgCQgHABgDADQgFADAAAKIAAAZIgKAAIAAgvIAJAAIAAAGQAGgIAMAAIAKACIAGADIADAHIABAlg");
	this.shape_1.setTransform(54.975,0.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	// Layer_11
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#000000").s().p("AgSATQgIgIAAgKQAAgMAIgHQAIgHAKAAQALAAAJAHQAHAGAAAMIAAACIgrAAQAAAJAGADQAEAFAHAAIAJgDQAFgCABgFIALABQgCAHgHAEIgRAFQgMAAgHgHgAgKgOQgFAEAAAHIAfAAQAAgHgDgDQgFgFgHAAQgGAAgFAEg");
	this.shape_2.setTransform(43.275,0.875);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	// Layer_10
	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#000000").s().p("AAeAZIAAglIgFgDIgFgCIgLAEQgEAEAAAHIAAAbIgJAAIAAgfIgCgIIgIgDIgIADIgFAEIgCAKIAAAZIgKAAIAAgvIAKAAIAAAGIAGgFIALgDIAKADIAGAGQAGgJAMAAQAJAAAEAEQAFAEAAAIIAAAhg");
	this.shape_3.setTransform(30.05,0.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_3).wait(1));

	// Layer_9
	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#000000").s().p("AAOAZIAAgcIgBgJIgEgDIgHgCIgKAEQgFADAAAKIAAAZIgKAAIAAgvIAKAAIAAAGQAFgIAMAAIAJACIAIADIACAHIABAlg");
	this.shape_4.setTransform(16.75,0.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_4).wait(1));

	// Layer_8
	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#000000").s().p("AgEAiIAAgwIAJAAIAAAwgAgEgXIAAgKIAJAAIAAAKg");
	this.shape_5.setTransform(7,-0.075);

	this.timeline.addTween(cjs.Tween.get(this.shape_5).wait(1));

	// Layer_7
	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#000000").s().p("AgVAWQgFgEAAgGIACgHIAEgFIAIgCIAagDIAAgDQAAgFgDgCIgLgDIgKACIgFAIIgJgCIAEgIQACgCAHgDIAMgCIANACIAHADIACAHIABAHIAAAZIADAFIgLAAIgCgFIgKAFIgKACQgKAAgFgEgAgBADIgJACIgEACIgBAEIADAGIAJACIAIgCIAHgGIACgIIAAgDg");
	this.shape_6.setTransform(-2.8,0.875);

	this.timeline.addTween(cjs.Tween.get(this.shape_6).wait(1));

	// Layer_6
	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#000000").s().p("AgBAgIgDgEIgCgKIAAgbIgHAAIAAgGIAHAAIAAgNIAJgFIAAASIAKAAIAAAGIgKAAIAAAcIABAFIABABIADAAIAFAAIABAHIgHACg");
	this.shape_7.setTransform(-12.7,0.075);

	this.timeline.addTween(cjs.Tween.get(this.shape_7).wait(1));

	// Layer_5
	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#000000").s().p("AgPAZIAAgvIAIAAIAAAHIAHgHIAGgCIAKADIgEAIIgHgCIgFABIgDAFIgCAJIAAAZg");
	this.shape_8.setTransform(-21.1,0.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_8).wait(1));

	// Layer_4
	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#000000").s().p("AgTATQgHgHAAgLQAAgNAHgGQAIgHALAAQALAAAJAHQAHAGAAAMIAAACIgrAAQABAJAEADQAFAFAHAAIAJgDIAGgHIAKABQgBAHgHAEIgRAFQgNAAgHgHgAgLgOIgFALIAgAAIgDgKQgFgFgIAAQgGAAgFAEg");
	this.shape_9.setTransform(-31.975,0.875);

	this.timeline.addTween(cjs.Tween.get(this.shape_9).wait(1));

	// Layer_3
	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#000000").s().p("AgBAgIgEgEIgBgKIAAgbIgHAAIAAgGIAHAAIAAgNIAJgFIAAASIAKAAIAAAGIgKAAIAAAcIABAFIABABIAEAAIAEAAIABAHIgHACg");
	this.shape_10.setTransform(-42.025,0.075);

	this.timeline.addTween(cjs.Tween.get(this.shape_10).wait(1));

	// Layer_2
	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#000000").s().p("AAOAZIAAgcIgBgJIgFgDIgGgCIgKAEQgFADAAAKIAAAZIgKAAIAAgvIAJAAIAAAGQAGgIALAAIAKACIAHADIADAHIABAlg");
	this.shape_11.setTransform(-52.175,0.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_11).wait(1));

	// Layer_1
	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#000000").s().p("AgTATQgHgHAAgLQAAgNAHgGQAJgHAKAAQAMAAAIAHQAHAGAAAMIAAACIgrAAQABAJAFADQAEAFAHAAIAJgDIAHgHIAKABQgCAHgHAEQgGAFgLAAQgNAAgHgHgAgKgOIgFALIAgAAIgEgKQgFgFgIAAg");
	this.shape_12.setTransform(-63.875,0.875);

	this.timeline.addTween(cjs.Tween.get(this.shape_12).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-66.6,-3.4,133.2,6.9);


(lib.shape24 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("ABJCHIAAh2IiRAAIAAB2IhLAAIAAkNIBLAAIAABqICRAAIAAhqIBLAAIAAENg");
	this.shape.setTransform(0.025,0);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-14.7,-13.5,29.5,27);


(lib.shape23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AhmB0QgmgVgNgmIBXgLQAGAUARALQAQAKAfAAQAiABARgLQALgGABgNQgBgGgGgGQgHgGgWgDQhngSgegQQgngWAAglQAAgjAhgWQAkgYBFAAQBDAAAhASQAgARANAjIhSAMQgEgPgQgIQgOgJgbABQgiAAgPAHQgKAGAAAIQgBAHAJAGQAOAIBDALQBGAOAcARQAbASAAAhQAAAkgmAbQglAahLAAQhCAAgogWg");

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-15.4,-13.8,30.8,27.6);


(lib.shape22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AhjB7QgagMgMgVQgMgUAAgmIAAimIBXAAIAAB5QAAA2AFAOQAFAMAMAHQAOAIATAAQAVAAASgKQASgKAGgPQAHgNgBg5IAAhvIBYAAIAAEGIhRAAIAAgnQgSAVgdANQgeAMgfAAQghAAgbgMg");
	this.shape.setTransform(0,-0.025);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-15,-13.5,30,27);


(lib.shape21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#EB420B").s().p("AgHCnIAAhYQAAhLAHgXQAIgXAOgJQAOgJAVAAQAWAAAYAMIAag6QAnAtAAA9QAABFgxAyQgxAxhGAAgAinAAQAAhFAxgxQAxgxBFAAQBAAAAvArIgqgHQgXAAgUAKQgRAJgXAeIAAgqIhbAAIAAD+Qg+gyAAhQg");

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-16.8,-16.8,33.6,33.6);


// stage content:
(lib.index = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = false; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [77];
	// timeline functions:
	this.frame_77 = function() {
		/* stop ();
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(77).call(this.frame_77).wait(1));

	// Layer_18
	this.instance = new lib.shape24("synched",0);
	this.instance.setTransform(149.55,49.25,1.4,1.4);
	this.instance.alpha = 0.1016;
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(46).to({_off:false},0).to({scaleX:1.256,scaleY:1.256,x:149.6,alpha:0.4297},2).to({scaleX:1.144,scaleY:1.144,x:149.55,alpha:0.6797},2).to({scaleX:1.064,scaleY:1.064,x:149.6,alpha:0.8594},2).to({scaleX:1.036,scaleY:1.036,x:149.55,alpha:0.9219},1).to({scaleX:1.004,scaleY:1.004,alpha:0.9883},2).wait(1).to({scaleX:1,scaleY:1,alpha:1},0).to({startPosition:0},21).wait(1));

	// Layer_17
	this.instance_1 = new lib.shape23("synched",0);
	this.instance_1.setTransform(116.15,49.45,1.4,1.4);
	this.instance_1.alpha = 0.1016;
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(35).to({_off:false},0).to({scaleX:1.324,scaleY:1.324,alpha:0.2695},1).to({scaleX:1.256,scaleY:1.256,x:116.2,alpha:0.4297},1).to({scaleX:1.196,scaleY:1.196,x:116.15,alpha:0.5586},1).to({scaleX:1.144,scaleY:1.144,x:116.2,alpha:0.6797},1).to({scaleX:1.1,scaleY:1.1,x:116.15,y:49.5,alpha:0.7813},1).to({scaleX:1.064,scaleY:1.064,y:49.45,alpha:0.8594},1).to({scaleX:1.036,scaleY:1.036,x:116.2,alpha:0.9219},1).to({scaleX:1.004,scaleY:1.004,x:116.15,alpha:0.9883},2).wait(1).to({scaleX:1,scaleY:1,alpha:1},0).to({startPosition:0},32).wait(1));

	// Layer_16
	this.instance_2 = new lib.shape22("synched",0);
	this.instance_2.setTransform(81.8,49.75,1.4,1.4);
	this.instance_2.alpha = 0.1016;
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(24).to({_off:false},0).to({scaleX:1.324,scaleY:1.324,y:49.8,alpha:0.2695},1).to({scaleX:1.256,scaleY:1.256,x:81.75,alpha:0.4297},1).to({scaleX:1.196,scaleY:1.196,y:49.75,alpha:0.5586},1).to({scaleX:1.144,scaleY:1.144,y:49.8,alpha:0.6797},1).to({scaleX:1.1,scaleY:1.1,y:49.75,alpha:0.7813},1).to({scaleX:1.064,scaleY:1.064,x:81.8,alpha:0.8594},1).to({scaleX:1.036,scaleY:1.036,x:81.75,alpha:0.9219},1).to({scaleX:1.004,scaleY:1.004,x:81.8,alpha:0.9883},2).wait(1).to({scaleX:1,scaleY:1,alpha:1},0).to({startPosition:0},43).wait(1));

	// Layer_15
	this.instance_3 = new lib.shape25("synched",0);
	this.instance_3.setTransform(98,73.95);
	this.instance_3.alpha = 0.1016;
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(61).to({_off:false},0).to({alpha:1},16).wait(1));

	// Layer_2
	this.instance_4 = new lib.shape21("synched",0);
	this.instance_4.setTransform(48.7,47.45,1.8,1.8);
	this.instance_4.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).to({scaleX:1.7273,scaleY:1.7273,x:48.75,alpha:0.0898},1).to({scaleX:1.6545,scaleY:1.6545,y:47.5,alpha:0.1797},1).to({scaleX:1.5818,scaleY:1.5818,y:47.45,alpha:0.2695},1).to({scaleX:1.3636,scaleY:1.3636,x:48.7,y:47.5,alpha:0.5508},3).to({scaleX:1.2909,scaleY:1.2909,y:47.45,alpha:0.6406},1).to({scaleX:1.2181,scaleY:1.2181,x:48.75,alpha:0.7305},1).to({scaleX:1.1454,scaleY:1.1454,y:47.5,alpha:0.8203},1).to({scaleX:1.0727,scaleY:1.0727,x:48.7,y:47.45,alpha:0.9102},1).wait(1).to({scaleX:1,scaleY:1,alpha:1},0).to({startPosition:0},66).wait(1));

	// Layer_1
	this.instance_5 = new lib.shape21("synched",0);
	this.instance_5.setTransform(48.7,47.45);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(11).to({_off:false},0).to({scaleX:1.3281,scaleY:1.3281,alpha:0.5586},9).to({scaleX:1.5625,scaleY:1.5625,alpha:0.25},9).to({scaleX:1.5827,scaleY:1.5827,alpha:0.2188},1).to({scaleX:1.6198,scaleY:1.6198,alpha:0.1719},2).to({scaleX:1.6667,scaleY:1.6667,alpha:0.1094},3).to({scaleX:1.7031,scaleY:1.7031,alpha:0.0586},3).to({scaleX:1.7292,scaleY:1.7292,alpha:0.0313},3).to({scaleX:1.7407,scaleY:1.7407,alpha:0.0117},2).to({scaleX:1.75,scaleY:1.75,alpha:0},4).wait(1).to({x:48.65},0).to({startPosition:0},28).to({x:48.7},1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(118.5,67.2,51.80000000000001,10.5);
// library properties:
lib.properties = {
	id: '2CC38F2A8172154FAE513925A9B563D1',
	width: 200,
	height: 100,
	fps: 24,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['2CC38F2A8172154FAE513925A9B563D1'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused){
			stageChild.syncStreamSounds();
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;